Page MenuHomePhabricator

Provide a yearly "Data type" option for topviews
Closed, ResolvedPublic

Description

In "topviews" on https://tools.wmflabs.org/topviews/ , "Date type" unfortunately does not offer "Yearly" but only "Monthly".
It's not the first time someone asked for the most popular viewed pages in T154434 hence filing this request.

Event Timeline

Aklapper created this task.Jan 2 2017, 9:26 PM
MusikAnimal moved this task from Backlog to On hold on the Tool-Pageviews board.EditedJan 2 2017, 11:30 PM
MusikAnimal added a subscriber: MusikAnimal.

@Shangkuanlc Yep! See T154381 :) I want to see this too, but first we need the data to be populated and accessible via the API. I think I actually know how to write the code, but it needs to be ran by the Analytics team first. I will leave this ticket open so you can continue to follow it for updates on when we add it to Topviews. Regards

I can confirm that this would be very useful, as I got several requests for similar data after the Wikimedia blog published a 'most-read English Wikipedia articles of 2016' piece.

Restricted Application added a project: Community-Tech. · View Herald TranscriptJan 14 2018, 3:49 AM
Quiddity added a subscriber: Quiddity.
MusikAnimal moved this task from On hold to In Development on the Tool-Pageviews board.

Doing as part of T211827, though it is really just a hack until we have support in the official pageviews API.

@MusikAnimal: I'd consider this fixed?

MusikAnimal closed this task as Resolved.Mar 18 2019, 12:27 AM
MusikAnimal moved this task from In Development to Done on the Tool-Pageviews board.

Yes, we might as well. Though as I said in T154446#4854012 this is really a hack until T154381 is resolved. I am following the latter so if/when the yearly endpoint is implemented, I will incorporate it into Pageviews Analysis. Cheers